' Global Variables for the Arduino Reciever Program
' ---- libraries  --------------------------------------------------------------
#include Once "string.bi"	                    ' needed for format function
#include once "crt.bi"                          ' for file flush (see notes)
#include once "file.bi"                         ' for file flush (see notes)
'-----define False-----------
#ifndef FALSE
#define FALSE 0
#endif
#ifndef False
#define False 0
#endif
#ifndef false
#define false 0
#endif
'-----define True-----------
#ifndef TRUE
#define TRUE -1
#endif
#ifndef true
#define true -1
#endif
#ifndef True
#define True -1
#endif
'----------------------------


Dim SHARED VoidByte as Byte = 0        ' BECASUE FREEBASIC DOES NOT SUPPORT VOID
'--------------------
' revision October 2013 -- moved from checktime function in order to eliminate
' first pass requirement
' fixed bug with PrevHour not updating
Dim SHARED PrevHour  as Byte            ' holds last hout counted
Dim SHARED NowHour  as Byte             ' holds last current hour
Dim SHARED HourCount as Byte =0         ' holds hour count
'---------------------------------------------------------------------------
Dim SHARED ProgramName as String       ' used to display program Name ...  
Dim SHARED ProgramVer as String        ' used to display program Version ...  
Dim SHARED IdString as String          ' imbed program name, version, date
Dim SHARED Status as String            ' used to display program status ...  
Dim SHARED IniName as String           ' name of ini file
Dim SHARED PortStr as String           ' hold parameters for opening com port
Dim SHARED AddDateTime as Byte         ' if not zero then append time to string
Dim SHARED FileStr as String           ' optional file name for output
Dim SHARED SendToFile  as Byte         ' if not zero then append to file
Dim SHARED SwitchHrs as Byte           ' used to increment file name
Dim SHARED Delimiter as String         ' string used between date/time and data
Dim SHARED EOL as String               ' Carriage Return / Line Feed
Dim SHARED StdOutFlg as Byte           ' Flag to send to Standard out only
Dim SHARED LogFileHandle as FILE ptr   ' used to flush file buffer to disk
Dim SHARED ExitKey as Byte             ' used to define specific key for exit
Dim SHARED TStart as String            ' used to calculate run time
Dim SHARED DStart as String            ' hold start day, used to calculate run time
Dim SHARED ExitCode as Integer         ' used to pass exit code
'
'-------------------------------------------------------------------------------
' Initalize all global variables
Function InitalizeGlobals()as byte
    EOL = Chr(13) &chr(10)          ' This is the default EOL until INI is read
    ProgramName = "Arduino Receiver"
    ProgramVer = "1.5.1 (8 October  2013)"
    ' ------ IdString is defined Globally to imbed within Object code -------
    IdString = "Program Name: " & ProgramName  & EOL & _
               "Program Vers: "  & ProgramVer & EOL & _
               "Author: Lewis Balentine, http://www.keywild.com" & EOL & _
               "This program placed in the Public Domain by the author." & EOL & _
               "No warranties of any kind either expressed or implied." & EOL & _
               "Please read 'Arduino_Thermometer.ini' for help." & EOL
    PortStr = ""
    FileStr = ""
    ExitCode=0
    SendToFile = 0
    AddDateTime=0
    StdOutFlg=0
    SwitchHrs=0
    ExitKey=27
    Delimiter = chr(9)
    DStart= Date                    ' get the start date
    TStart= Time                    ' get the start time (24 hour format)
    '--------------------
    ' revision October 2013 -- initalize checktime parameters
    NowHour=val(Left(time,2))
    PrevHour=NowHour
    HourCount=0
   
    Return 0
End Function    
'--End of File -----------------------------------------------------------------

